#!/bin/bash
if [ -z "$1" ]; then export PREFIX=../data; else export PREFIX=$1; fi
if [ -z $BIN ]; then export BIN=vargibbs; fi
if [ -z $VER ]; then export VER=./; fi
set -e
export WD=${VER}XIA98-local
mkdir -pv $WD
echo " ******* "
echo " ******* Starting Local Minimization"
$BIN  -cl=10 -me=3000 -minmethod=gsl -mm=3 -o=${WD}/P-XIA98-local -par=$PREFIX/P-XIA98.par \
-parid=local-XIA98  -calc=minlocal -data=$PREFIX/D-XIA98.dat \
-var=AU_AU:entropy,AU_CG:entropy,AU_GC:entropy,AU_UA:entropy,CG_AU:entropy,CG_CG:entropy,CG_GC:entropy,GC_AU:entropy,GC_CG:entropy,UA_AU:entropy,AU_AU:enthalpy,AU_CG:enthalpy,AU_GC:enthalpy,AU_UA:enthalpy,CG_AU:enthalpy,CG_CG:enthalpy,CG_GC:enthalpy,GC_AU:enthalpy,GC_CG:enthalpy,UA_AU:enthalpy,terminal_AU_enthalpy,terminal_AU_entropy,symmetry_correction_entropy

$BIN -o=${WD}/P-XIA98-local-prediction -par=${WD}/P-XIA98-local.par  \
-calc=prediction -data=$PREFIX/D-XIA98.dat
